Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.remote
Interface JavaCardRemoteInterface

All Superinterfaces:
  Remote

All Known Implementing Classes:
  JavaCardRemoteServer

    public interface JavaCardRemoteInterface

extends Remote

RMI Wrapper for the `JavaCardInterface`

Field Summary
`static String` | `RMI_SERVER_ID`

Method Summary
`SerializableAID` | `createApplet(SerializableAID aid, byte[] bArray, short bOffset, byte bLength)`
`byte[]` | `getATR()`
`SerializableAID` | `loadApplet(SerializableAID aid, String appletClassName)`
`SerializableAID` | `loadApplet(SerializableAID aid, String appletClassName, byte[] appletJarContents)`
`void` | `reset()`
`boolean` | `selectApplet(SerializableAID aid)`
`byte[]` | `transmitCommand(byte[] data)`

Field Detail

### RMI_SERVER_ID

    static final String RMI_SERVER_ID

See Also:
  Constant Field Values

Method Detail

### loadApplet

    SerializableAID loadApplet(SerializableAID aid,
                               String appletClassName)
                               throws RemoteException

  Throws:
    `RemoteException`

### loadApplet

    SerializableAID loadApplet(SerializableAID aid,
                               String appletClassName,
                               byte[] appletJarContents)
                               throws RemoteException

  Throws:
    `RemoteException`

### createApplet

    SerializableAID createApplet(SerializableAID aid,
                                 byte[] bArray,
                                 short bOffset,
                                 byte bLength)
                                 throws RemoteException

  Throws:
    `RemoteException`

### transmitCommand

    byte[] transmitCommand(byte[] data)
                           throws RemoteException

  Throws:
    `RemoteException`

### selectApplet

    boolean selectApplet(SerializableAID aid)
                         throws RemoteException

  Throws:
    `RemoteException`

### reset

    void reset()
               throws RemoteException

  Throws:
    `RemoteException`

### getATR

    byte[] getATR()
                  throws RemoteException

  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD